VIDU Q2 Turbo Image to Video
curl --request POST \
--url https://api.myrouter.ai/v3/async/vidu-q2-turbo-img2video \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"bgm": true,
"seed": 123,
"audio": true,
"images": [
{}
],
"prompt": "<string>",
"duration": 123,
"off_peak": true,
"voice_id": "<string>",
"watermark": true,
"resolution": "<string>",
"movement_amplitude": "<string>"
}
'import requests
url = "https://api.myrouter.ai/v3/async/vidu-q2-turbo-img2video"
payload = {
"bgm": True,
"seed": 123,
"audio": True,
"images": [{}],
"prompt": "<string>",
"duration": 123,
"off_peak": True,
"voice_id": "<string>",
"watermark": True,
"resolution": "<string>",
"movement_amplitude": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
bgm: true,
seed: 123,
audio: true,
images: [{}],
prompt: '<string>',
duration: 123,
off_peak: true,
voice_id: '<string>',
watermark: true,
resolution: '<string>',
movement_amplitude: '<string>'
})
};
fetch('https://api.myrouter.ai/v3/async/vidu-q2-turbo-img2video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>",
"provider_request_id": "<string>"
}Video
VIDU Q2 Turbo Image to Video
POST
/
v3
/
async
/
vidu-q2-turbo-img2video
VIDU Q2 Turbo Image to Video
Generate videos from reference images (Turbo version). Supports three resolutions: 540p, 720p, and 1080p. The Turbo version balances generation speed and video quality.
This is an async API that only returns the task_id of the async task. Use the task_id to call the Get Async Task Result API to retrieve the generated result.
Request Headers
string
required
Enum:
application/jsonstring
required
Bearer authentication format: Bearer {{API Key}}.
Request Body
boolean
default:false
Whether to add background music.
integer
Random seed for controlling the randomness of generation. The same seed produces similar results.
boolean
default:false
Whether to generate audio.
array
required
List of input image URLs.Array length: 1 - unlimited
string
required
Text prompt describing the desired video content in detail.
integer
default:5
required
Video duration (seconds), supports 1-10 seconds.Possible values:
1, 2, 3, 4, 5, 6, 7, 8, 9, 10boolean
default:false
Whether to enable off-peak task mode.
string
Voice ID, optional.
boolean
default:false
Whether to add a watermark.
string
default:"720p"
Output video resolution. Default: 720p.Possible values:
540p, 720p, 1080pstring
default:"auto"
Movement amplitude, controlling the intensity of object motion in the video.Possible values:
auto, small, medium, highResponse
string
required
Use the task_id to call the Get Async Task Result API to retrieve the generated output.
string
Provider request ID (optional)
⌘I